%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:                jboss-websocket-1.1-api
Version:             1.1.4
Release:             2
Summary:             JSR-356: Java WebSocket 1.1 API
License:             CDDL-1.1 or GPLv2 with exceptions
Url:                 https://github.com/jboss/jboss-websocket-api_spec
Source0:             https://github.com/jboss/jboss-websocket-api_spec/archive/refs/tags/jboss-websocket-api_1.1_spec-1.1.4.Final.tar.gz
BuildRequires:       maven-local mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.jboss:jboss-parent:pom:)
BuildArch:           noarch
%description
The JSR-356: Java WebSocket 1.1 API classes.

%package javadoc
Summary:             Javadoc for jboss-websocket-1.1-api
%description javadoc
This package contains the API documentation for jboss-websocket-1.1-api.

%prep
%setup -q -n jboss-websocket-api_spec-jboss-websocket-api_1.1_spec-%{namedversion}
%pom_remove_plugin :maven-source-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE README

%files javadoc -f .mfiles-javadoc
%license LICENSE README

%changelog
* Tue Jul 26 2022 Chenyx <chenyixiong3@huawei.com> - 1.1.4-2
- License compliance rectification

* Wed Jun 01 2022 houyingchao <houyingchao@h-partners.com> - 1.1.4-1
- Upgrade to 1.1.4

* Thu Aug 20 2020 yaokai <yaokai13@huawei.com> - 1.1.1-1
- package init
